{% extends 'base.html.twig' %}

{% block title %}Liste des évenements{% endblock %}

{% block body %}
<div class="container">
    <h1>Liste des évenements</h1>
    <div class="table-responsive">
    <table class="table">
        <thead class="thead-dark">
            <tr>
                
                <th>Titre</th>
                {# {# <!-- <th>Déscription</th> --> #}
                <th>Image</th>
                <!-- <th>Fichier</th>  -->
                {# <th>Date de debut</th>
                <th>Date de fin</th> #}
                <th>Type d'évenement</th>
                <th>Détail</th>
                <th>Editer</th>
                <th>Supprimer</th>
            </tr>
        </thead>
        <tbody>
        {% for evenement in evenements %}
            <tr>
                
                <td>{{ evenement.title }}</td>
                {# {# <!-- <td>{{ evenement.description }}</td> #}
                <td>{{ evenement.image }}</td> 
                <!-- <td>{{ evenement.file }}</td>  -->
                {# <td>{{ evenement.startDate ? evenement.startDate|date('Y-m-d') : '' }}</td>
                <td>{{ evenement.endDate ? evenement.endDate|date('Y-m-d') : '' }}</td> #}
                <td>{{ evenement.type }}</td>
                <td><a href="{{ path('evenement_show', {'id': evenement.id}) }}"><i class="fas fa-eye fa-2x"></i></a></td>
                {% if is_granted ('edit', evenement) %} 
                <td><a href="{{ path('evenement_edit', {'id': evenement.id}) }}"><i class="fas fa-edit fa-2x"></i></a></td>
                {% else %}
                <td>Pas Possible</td>
                {% endif %}
                {% if is_granted ('edit', evenement) %} 
                <td>{{ include('evenement/_delete_form.html.twig') }}</td> 
                {% else %}
                <td>Pas Possible</td>
                {% endif %}  
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </div>

    <div class="btn-formulaire">
        <a href="{{ path('evenement_new') }}"><button class="btn btnColor"><i class="fas fa-calendar-times"></i> Ajouter un évenement</button></a>
    </div>

</div>
    
{% endblock %}
